Function
createCountArray
Builds an index on a StringSet storing how often a q-gram occurs in each sequence.
createCountsArray(counts, dir, bucketMap, stringSet, shape, stepSize)
Include Headers
seqan/index.h
Parameters

counts | The resulting list of pairs (seqNo,count).
dir | The resulting array that indicates at which position in the count table the corresponding a certain q-gram can be found.
bucketMap | Stores the q-gram hashes for the openaddressing hash maps, see indexBucketMap. If bucketMap is of the type Nothing the q-gram hash determines the bucket address in the index.
stringSet | The StringSet. Types: StringSet
shape | The shape to be used. Types: Shape
stepSize | Store every stepSize'th q-gram in the index.

Remarks
This function should not be called directly. Please use indexCreate or indexRequire. The resulting tables must have appropriate size before calling this function.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47